/* CSS is how you can add style to your website, such as colors, fonts, and positioning of your
   HTML content. To learn how to do something, just try searching Google for questions like
   "how to change link color." */
html {
  margin: 0;
  padding: 0;
  width: 100%;
}
body {
  background-color: white;
  color: black;
  font-family: Verdana;
  margin: 0;
  padding: 0;
  width: 100%;
}

.full-width {
  width: 100vw;
  margin-left: calc(50% - 50vw);
}
.blue {
  background-color: blue;
  color : white;
}

@keyframes rotation1440 {
  from {transform: rotate(90deg);  transform-origin: 20% 40%;}
  to {transform: rotate(1440deg); transform-origin: 20% 40%;}
}
@keyframes from-offscreen-delay50{
  0% {transform: translate(5000px,0px);}
  50% {transform: translate(5000px,0px);}
  100% {transform: translate(0px,0px);}
}

@keyframes fade-in-delay50{
 0% {opacity: 0;}
 50% {opacity: 0;}
 100% {opacity: 1;}
}

@keyframes shake {
  0% { transform: translate(1px, 1px) rotate(0deg); }
  10% { transform: translate(-1px, -2px) rotate(-1deg); }
  20% { transform: translate(-3px, 0px) rotate(1deg); }
  30% { transform: translate(3px, 2px) rotate(0deg); }
  40% { transform: translate(1px, -1px) rotate(1deg); }
  50% { transform: translate(-1px, 2px) rotate(-1deg); }
  60% { transform: translate(-3px, 1px) rotate(0deg); }
  70% { transform: translate(3px, 1px) rotate(-1deg); }
  80% { transform: translate(-1px, -1px) rotate(1deg); }
  90% { transform: translate(1px, 2px) rotate(0deg); }
  100% { transform: translate(1px, -2px) rotate(-1deg); }
}

#rotating {
  margin: auto;
  color: black;
  animation: rotation1440 2s;
}

#from-offscreen-right{
  animation: from-offscreen-delay50 4s;
}

#fade-in{
 animation: fade-in-delay50 8s;
}

.shake-hover:hover{
  animation: shake 0.5s infinite;
}

.center {
  display: flex;
  justify-content: center;
  align-items: center;
}

